#ifndef	 HT1621_H_
#define HT1621_H_

#define	 BIAS	  0x52		// 0b1000 0101 0010 1/3duty 4com
#define	 SYSDIS	  0X00		// 0b1000 0000 0000
#define	 SYSEN	  0X02		// 0b1000 0000 0010
#define	 LCDOFF	  0X04		// 0b1000 0000 0100
#define	 LCDON	  0X06		// 0b1000 0000 0110
#define	 XTAL	  0x28		// 0b1000 0010 1000
#define	 RC256	  0X30		// 0b1000 0011 0000
#define	 TONEON	  0X12		// 0b1000 0001 0010
#define	 TONEOFF  0X10		// 0b1000 0001 0000
#define	 WDTDIS1  0X0A		// 0b1000 0000 1010
#define	 BUFFERSIZE 12

// #define HTDEBUG

class         HT1621
{
public:
  HT1621(  );
  void          begin( int cs_p, int wr_p, int data_p, int backlight_p );
  void          begin( int cs_p, int wr_p, int data_p );
  void          clear(  );
  void          backlight(  );
  void          noBacklight(  );
  void          setBatteryLevel( int level );
  void          print( long num, char *flags = "%6li", int precision = 0 );
  void          print( double num, int precision = 3 );
  void          display(  );
  void          noDisplay(  );
private:
  int           _cs_p;
  int           _wr_p;
  int           _data_p;
  int           _backlight_p;
  bool          _backlight_en;
  char          _buffer[BUFFERSIZE];
  unsigned char _battery[3];
  void          wrone( unsigned char addr, unsigned char sdata );
  void          wrclrdata( unsigned char addr, unsigned char sdata );
  void          wrCLR( unsigned char len );
  void          wrDATA( unsigned char data, unsigned char cnt );
  void          wrCMD( unsigned char CMD );
  void          setdecimalseparator( int dpposition );
  void          config(  );	// legacy: why not in begin func
  void          update(  );
};
#endif
